centos安装redmine项目管理系统[教程]

这里操作系统为Linux Centos5,参考文档:http://www.redmine.org/projects/redmine/wiki/HowTo_install_Redmine_on_CentOS_5

另外网上也有一键安装的软件,官方网站为:http://bitnami.org/stack/redmine

Ruby & Ruby on Rails & Rack

The required Ruby and Ruby on Rails versions for a given Redmine version is:

Redmine version Supported Ruby versions Required Rails version Supported RubyGems versions
current trunk ruby 1.8.7, 1.9.2, 1.9.3, jruby-1.6.7 Rails 3.2.6 RubyGems <= 1.8
2.0.3 ruby 1.8.7, 1.9.2, 1.9.3, jruby-1.6.7 Rails 3.2.6 RubyGems <= 1.8
2.0.2 ruby 1.8.7, 1.9.2, 1.9.3, jruby-1.6.7 Rails 3.2.5 RubyGems <= 1.8
2.0.0, 2.0.1 ruby 1.8.7, 1.9.2, 1.9.3, jruby-1.6.7 Rails 3.2.3 RubyGems <= 1.8
1.4.x ruby 1.8.7, 1.9.2, 1.9.3, jruby-1.6.7 Rails 2.3.14 RubyGems <= 1.8

这里我们已经安装好了nginx,mysql环境了。

一. 安装依赖包

yum -y install zlib-devel curl-devel openssl-devel apr-devel apr-util-devel

在做Ruby on rail开发环境的时候,发现ruby有了yaml库需求,如果不进行前置安装yaml库,那么在进行接下来的rubygems和rails的时候就会出现如下错误: Continue reading